Distinguish between non-mandatory and mandatory constraints
Closed, ResolvedPublic

Description

We should add a distinction between non-mandatory and mandatory constraints, and report and display them differently. One possibility would be to add a new status, “mandatory violation” (or “severe violation”?).

For the gadget, Jura suggested displaying non-mandatory constraints under a question mark and only mandatory ones under the current exclamation mark.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 2 2017, 9:13 AM
Lydia_Pintscher triaged this task as High priority.

One possibility would be to add a new status, “mandatory violation” (or “severe violation”?).

I think I like this approach, even though I’m a bit suspicious of its simplicity. If a mandatory constraint has a violation, bump the status to “severe violation” and add “constraint_status: mandatory” to the output parameters.

On the special page, “severe violation” would look like “bad parameters” (darker shade of red than “violation”).

In the gadget, perhaps we could reuse the headings approach from T169971: Make “bad parameters” results less prominent in the gadget: “potential issues” would no longer be the heading of the entire popup, but only of the normal “violation” section; “severe violation” (or “mandatory violation” or something else) would be a separate section (above the “potential issues”), with a small explanatory text that these violations are worse than others.

IRL discussion result: add another status, but make it “warning”, which is the new default, and “violation” then serves as the status for mandatory constraints.

Change 366582 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Distinguish between non-mandatory and mandatory constraints

https://gerrit.wikimedia.org/r/366582

Change 366824 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Distinguish {non-,}mandatory constraints in gadget

https://gerrit.wikimedia.org/r/366824

Jonas moved this task from Review to Done on the Wikidata-Sprint board.Jul 21 2017, 11:33 AM

Change 366582 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Distinguish between non-mandatory and mandatory constraints

https://gerrit.wikimedia.org/r/366582

Change 366824 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Distinguish {non-,}mandatory constraints in gadget

https://gerrit.wikimedia.org/r/366824

Lucas_Werkmeister_WMDE closed this task as Resolved.Jul 24 2017, 1:48 PM
Lucas_Werkmeister_WMDE claimed this task.

I think this is done.

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 24 2017, 1:48 PM